## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExpression::XPathExpressionException Class Reference

Exception class thrown when an invalid XPath expression is encountered. More...

`#include <XPathExpression.hpp>`

Inheritance diagram for XPathExpression::XPathExpressionException

Collaboration diagram for XPathExpression::XPathExpressionException:

List of all members.

## Public Methods

- XPathExpressionException (const XalanDOMString& theMessage)
    Construct an XPathExpressionException object. More...
- virtual ~XPathExpressionException ()

## Detailed Description

Exception class thrown when an invalid XPath expression is encountered.

## Constructor & Destructor Documentation

XPathExpression::XPathExpressionException::XPathExpressionException ( | const XalanDOMString & theMessage )

Construct an XPathExpressionException object.

Parameters:

  theMessage | string error message

virtual XPathExpression::XPathExpressionException::~XPathExpressionException ( | )

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.